Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 182967 - [69cat] Remote Terminal port text field should show more than 2 digits
[69cat] Remote Terminal port text field should show more than 2 digits
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Terminalemulator
6.x
PC Linux
: P3 (vote)
: 6.x
Assigned To: Vladimir Voskresensky
ivan
: NETFIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-26 20:50 UTC by Michel Graciano
Modified: 2010-06-17 10:32 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Screenshot of SSH Connection dialog with narrow port textfield. (11.89 KB, image/png)
2010-04-01 08:14 UTC, Jiri Kovalsky
Details
SSH Connection Dialog after issue 182860 (10.48 KB, image/jpeg)
2010-04-01 13:29 UTC, kapitarg
Details
Patch for setting the preferred size of the port field using the column property. (6.68 KB, patch)
2010-04-01 19:16 UTC, kapitarg
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michel Graciano 2010-03-26 20:50:32 UTC
[ BUILD # : c0c8da2a52b0 ]
[ JDK VERSION : 1.6.* ]

The port text field should be bigger than current, probably 4 digits is okey.
Comment 1 Michel Graciano 2010-03-26 20:53:29 UTC
I am talking about Window > Output > Remote Terminal. No idea which component use for this issue.
Comment 2 Jiri Kovalsky 2010-04-01 08:09:10 UTC
This issue was added to the list of NetFIX [1] candidates. If module owner does
not agree, please speak up. Thanks!

[1] http://wiki.netbeans.org/NetFIXIssues
Comment 3 Jiri Kovalsky 2010-04-01 08:14:38 UTC
Created attachment 96499 [details]
Screenshot of SSH Connection dialog with narrow port textfield.

In CND pack of NetBeans 6.9 invoke "Windows > Output > Remote Terminal".

BTW, the textfield adapts its width to the initial number so if you specify 9999 as the port and push "OK" button, next time the width is bigger to display all four digits.
Comment 4 kapitarg 2010-04-01 13:29:55 UTC
Created attachment 96529 [details]
SSH Connection Dialog after issue 182860

Had a look on this issue and seems that it was already fixed by Andrew Krasny with issue 182860.

//RemoteInfoDialog.java#135 before commiting 182860
.addComponent(portField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)

//RemoteInfoDialog.java#135 after commiting 182860
.addComponent(portField, javax.swing.GroupLayout.PREFERRED_SIZE, 38, javax.swing.GroupLayout.PREFERRED_SIZE)))))
Comment 5 Michel Graciano 2010-04-01 13:33:03 UTC
IMHO it is an terrible way to fix it. You never should use sizes for components it is terrible for different LAF. The correct way to fix it is remove all fixed sizes and define columns property for the text field.
Comment 6 kapitarg 2010-04-01 19:16:41 UTC
Created attachment 96552 [details]
Patch for setting the preferred size of the port field using the column property.
Comment 7 Jiri Kovalsky 2010-04-02 11:08:47 UTC
Ivan, are you going to review & integrate this patch or should it be Vladimir? Thanks guys!
Comment 8 Vladimir Voskresensky 2010-04-02 12:43:39 UTC
I will evaluate
Comment 9 Vladimir Voskresensky 2010-04-02 14:44:07 UTC
Thanks for patch. I have applied it.
http://hg.netbeans.org/cnd-main?cmd=changeset;node=c03512058c4d
Comment 10 Quality Engineering 2010-04-03 05:30:28 UTC
Integrated into 'main-golden', will be available in build *201004030201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/c03512058c4d
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: (apply kapitarg's patch) #182967 -  [69cat] Remote Terminal port text field should show more than 2 digits


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo